Subject: bug#25875: 26.0.50; Hang logging out of MS-Windows

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Feb 2017 17:47:03 +0200

> From: Richard Copley <[email-masked]>
> Date: Sat, 25 Feb 2017 21:13:57 +0000
> Cc: [email-masked]
> 
> On 25 February 2017 at 20:36, Eli Zaretskii <[email-masked]> wrote:
> >> From: Richard Copley <[email-masked]>
> >> Date: Sat, 25 Feb 2017 19:41:25 +0000
> >>
> >> Perhaps not a deadlock: I just ran "taskkill /im emacs.exe" and the
> >> process woke up
> >> and signaled a Lisp error:
> >>
> >> Debugger entered--Lisp error: (error "Attempt to delete a surrogate
> >> minibuffer frame")
> >>   delete-frame(#<frame *Customize Option: Package Unsigned Archives*
> >> 0000000400a51890> t)
> >
> > Is this indeed a surrogate minibuffer frame?  If so, how come it's
> > being deleted?
> 
> An Ediff control-panel was present. The main frame was the
> surrogate minibuffer frame for the minibufferless Ediff frame. In
> that situation, clicking the close button on the main frame gives
> that same error.

I think this frame was an indirect reason for the hang.

> I surmise that WM_QUERY_END_SESSION goes down the same code
> path (?).

Hmm... I don't see WM_QUERY_END_SESSION in our sources.  What am I
missing?